<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesTratamientoMedicamento.home.createOrEditLabel"
          data-cy="TratamientoMedicamentoCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesTratamientoMedicamento.home.createOrEditLabel')"
        >
          Create or edit a TratamientoMedicamento
        </h2>
        <div>
          <div class="form-group" v-if="tratamientoMedicamento.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="tratamientoMedicamento.id" readonly />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesTratamientoMedicamento.dosis')"
              for="tratamiento-medicamento-dosis"
              >Dosis</label
            >
            <input
              type="text"
              class="form-control"
              name="dosis"
              id="tratamiento-medicamento-dosis"
              data-cy="dosis"
              :class="{ valid: !$v.tratamientoMedicamento.dosis.$invalid, invalid: $v.tratamientoMedicamento.dosis.$invalid }"
              v-model="$v.tratamientoMedicamento.dosis.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesTratamientoMedicamento.intensidad')"
              for="tratamiento-medicamento-intensidad"
              >Intensidad</label
            >
            <input
              type="text"
              class="form-control"
              name="intensidad"
              id="tratamiento-medicamento-intensidad"
              data-cy="intensidad"
              :class="{ valid: !$v.tratamientoMedicamento.intensidad.$invalid, invalid: $v.tratamientoMedicamento.intensidad.$invalid }"
              v-model="$v.tratamientoMedicamento.intensidad.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesTratamientoMedicamento.tratamiento')"
              for="tratamiento-medicamento-tratamiento"
              >Tratamiento</label
            >
            <select
              class="form-control"
              id="tratamiento-medicamento-tratamiento"
              data-cy="tratamiento"
              name="tratamiento"
              v-model="tratamientoMedicamento.tratamiento"
            >
              <option v-bind:value="null"></option>
              <option
                v-bind:value="
                  tratamientoMedicamento.tratamiento && tratamientoOption.id === tratamientoMedicamento.tratamiento.id
                    ? tratamientoMedicamento.tratamiento
                    : tratamientoOption
                "
                v-for="tratamientoOption in tratamientos"
                :key="tratamientoOption.id"
              >
                {{ tratamientoOption.descripcionTratamiento }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesTratamientoMedicamento.medicamento')"
              for="tratamiento-medicamento-medicamento"
              >Medicamento</label
            >
            <select
              class="form-control"
              id="tratamiento-medicamento-medicamento"
              data-cy="medicamento"
              name="medicamento"
              v-model="tratamientoMedicamento.medicamento"
            >
              <option v-bind:value="null"></option>
              <option
                v-bind:value="
                  tratamientoMedicamento.medicamento && medicamentoOption.id === tratamientoMedicamento.medicamento.id
                    ? tratamientoMedicamento.medicamento
                    : medicamentoOption
                "
                v-for="medicamentoOption in medicamentos"
                :key="medicamentoOption.id"
              >
                {{ medicamentoOption.nombre }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.tratamientoMedicamento.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./tratamiento-medicamento-update.component.ts"></script>
